%load('SDs.mat');    
%mat_sds = LLRQi_tot;

%codeword = csvread('.\4.received');

parallelism = 1;
sysC_sds_temp = csvread('.\Monitor.OPMP.SnFu0.sds');
sysC_sds_temp = sysC_sds_temp';
dim1 = size(sysC_sds_temp, 1);
for i = 1: parallelism - 1
    temp = csvread(strcat('.\Monitor.OPMP.SnFu', int2str(i), '.sds'));
    temp = temp';
    sysC_sds_temp = cat(1, sysC_sds_temp, temp);
end

iteration = size(sysC_sds_temp, 2);
sysC_sds = zeros(size(sysC_sds_temp, 1), iteration);
for j = 1: iteration
    if mod(j,2) == 0
        for i = 1:size(initial_sd_memory,1)
            for it = 1:parallelism
                if permuted_sd_memory(i,it) ~= 0
                    sysC_sds(permuted_sd_memory(i,it), j) = sysC_sds_temp((it-1)*dim1 + i,j);
                end
            end
        end
    else
        for i = 1:size(permuted_sd_memory,1)
            for it = 1:parallelism
                if initial_sd_memory(i,it) ~= 0
                    sysC_sds(initial_sd_memory(i,it), j) = sysC_sds_temp((it-1)*dim1 + i,j);
                end
            end
        end
    end
end
sysC_sds(find(sum(sysC_sds') == 0),:) = [];

extr_temp = csvread('.\Monitor.OPMP.CnFu0.extr');
extr_temp = extr_temp';
for i = 1: parallelism - 1
    temp = csvread(strcat('.\Monitor.OPMP.CnFu', int2str(i), '.extr'));
    temp = temp';
    extr_temp = cat(1, extr_temp, temp);
end

reference = sortrows(cn_edge_sn_index_mapping,4);
cycles = size(control_block,1);
cn_order  = zeros(cycles, parallelism);
ref_index = 1;
for i = 1:cycles
    ref_index = control_block(i,4);
    for p = 1 : parallelism
        cn_order(i, p) = reference(ref_index,1);
        ref_index = ref_index + 1;
    end
end

extrinsic = zeros(size(extr_temp, 1), iteration);
for j = 1: iteration
    for p = 1 : parallelism
        for i = 1 : cycles
            extrinsic(cn_order(i,p),j) = extr_temp((p - 1) * cycles + i,j);
        end
    end
end
extrinsic(find(sum(extrinsic') == 0),:) = [];
