LIBRARY ieee;
USE ieee.std_logic_1164.all;

PACKAGE cycles IS 
	constant DEGREE_NUMBER		: integer := 2;
	constant DEGREE_NUMBER_WIDTH: integer := 1;
	type t_cycles is array (0 to DEGREE_NUMBER - 1) of integer;
	constant DEGREES			: t_cycles := (7, 6);
	constant CYCLES_FIRST		: t_cycles := (318, 436);
	constant CYCLES_SECOND		: t_cycles := (2, 322);
END cycles;
