LIBRARY ieee;
USE ieee.std_logic_1164.all;

PACKAGE widths IS 
	constant ROM_SIZE : integer := 439;
	constant ROM_ADDRESS_WIDTH  : integer := 9;
	constant ROM_PERMUTATION_WIDTH  : integer := 8;
	constant ROM_SN_WIDTH  : integer := 10;
	constant ROM_INITILIZATION_ADDRESS_WIDTH  : integer := 10;
	constant PARALLELISM  : integer := 4;
	constant PARALLELISM_WIDTH  : integer := 2;
	constant SN_NUMBER  : integer := 576;
	constant MAX_DEGREE  : integer := 8;
	constant DEGREE_WIDTH  : integer := 3;
	constant RAM_CN_ADDRESS_WIDTH  : integer := 6;
	constant CN_PER_FU  : integer := 57;
	constant SN_PER_FU  : integer := 150;
	constant RAM_SN_ADDRESS_WIDTH : integer := 8;
END widths;
